Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptprogram
Class Console

    java.lang.Object
      cryptprogram.Console

    public class Console

extends java.lang.Object

Field Summary
`private javax.swing.JButton` | `buttonClose`
`private javax.swing.JButton` | `buttonOpen`
`private javax.swing.JButton` | `buttonSave`
`private java.lang.String` | `directory`
`private java.lang.String` | `filename`
`private javax.swing.JTextArea` | `jtextarea1`
`private javax.swing.JFrame` | `mainframe`
`private javax.swing.JPanel` | `panel1`
`private javax.swing.JPanel` | `panel2`
`private javax.swing.JScrollPane` | `scrollpane`

Constructor Summary
`Console()`

Method Summary
`void` | `end(java.lang.String filename, java.lang.String directory)`
`void` | `init()`
`private void` | `openFile()`
`private void` | `saveFileEvent()`
`void` | `setTitle(java.lang.String title)`
`void` | `start()`
`void` | `texting(java.lang.String text)`
`void` | `visibility()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainframe

    private javax.swing.JFrame mainframe

### panel1

    private javax.swing.JPanel panel1

### panel2

    private javax.swing.JPanel panel2

### jtextarea1

    private javax.swing.JTextArea jtextarea1

### scrollpane

    private javax.swing.JScrollPane scrollpane

### buttonClose

    private javax.swing.JButton buttonClose

### buttonSave

    private javax.swing.JButton buttonSave

### buttonOpen

    private javax.swing.JButton buttonOpen

### filename

    private java.lang.String filename

### directory

    private java.lang.String directory

Constructor Detail

### Console

    public Console()

Method Detail

### init

    public void init()

### start

    public void start()

### texting

    public void texting(java.lang.String text)

### end

    public void end(java.lang.String filename,
                    java.lang.String directory)

### saveFileEvent

    private void saveFileEvent()

### visibility

    public void visibility()

### openFile

    private void openFile()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setTitle

    public void setTitle(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD